Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: ROUGH GRADE SLOPES

  1. #1
    Member
    Join Date
    2013-02
    Posts
    47
    Login to Give a bone
    0

    Default ROUGH GRADE SLOPES

    hi everyone, need some help with a lisp routine, what it does is it will calculate the difference from two different pad elevations and draw a slope with a bench offset from the lot line dividing the two pads, the part I need help with is trying to draw a tapered line from 20' back from the street side of the lot line. I wanted the line to start 20' back at the toe line and taper to the top of slope line at the front of the lot. right now it will do a arc and this is great but I wanted another to the taper and I am getting stuck trying to re-write it. here is the routine as it is now.


    Code:
    (defun c:slope1( / yn e ps1 ps2 h1 h2 p1 p2 d tmp obj ang ang1 pa pb pc pd)
       (show1)
       (setq yn (getstring "\nCorrect or not (Y/N): <Y> "))
       (if (or (= yn "N") (= yn "n"))
           (change1)
       )
       (while (not (setq e (entsel "\npick a lot line (pick the street side)"))))
       (get-elev 'ps1 'h1)
       (get-elev 'ps2 'h2)
       (if (< h2 h1) (setq tmp h1 h1 h2 h2 tmp tmp ps1 ps1 ps2 ps2 tmp))
       (setq d (* 1.0 #s1 (- h2 h1)))
       (setq pt (cadr e) obj (entget (car e))
             p1 (cdr (assoc 10 obj))
             p2 (cdr (assoc 11 obj))
       )
       (if (< (distance pt p2) (distance pt p1)) (setq tmp p1 p1 p2 p2 tmp))
       (setq ang (angle p1 p2))
       (setq tmp (polar p1 ang (* (distance p1 ps1)
                                  (cos (- (angle p1 ps1) ang)) ) ))
       (setq ang1 (angle tmp ps1))
       (setq pa (polar (polar p1 ang (* 1.0 #front)) ang1 (* 1.0 #b1))
             pb (polar (polar p2 (+ ang pi) (* 1.0 #back)) ang1 (* 1.0 #b1))
             pc (polar (polar pa ang (* 2.0 d)) ang1 d)
             pd (polar pb ang1 d)
       )
       (command "line" pa pb "" "line" pc pd ""
                "ARC" pc "e" pa "d" (angtos (+ ang pi)) )
       (princ)
    )
    Attached Files Attached Files
    Last edited by Opie; 2013-07-18 at 08:58 PM. Reason: [code] tags added ~Opie

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,105
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    Do you have a sample dwg?
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Member
    Join Date
    2013-02
    Posts
    47
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    Sure, I attached a simple dwg file, I had also sent a PDF on my first post to give an example of what I am trying to accomplish, I hope this helps.

    thanks again in advance.
    Attached Files Attached Files

  4. #4
    Member
    Join Date
    2013-02
    Posts
    47
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    hi everyone. has anyone had a chance to look at this, I could really use the help trying to figure this out.

  5. #5
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,105
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    Nope. Sorry. It's been a bear around here lately.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  6. #6
    Member
    Join Date
    2013-02
    Posts
    47
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    I understand.

  7. #7
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,105
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    Your code is missing some elements to make it work. Your pdf doesn't spell out what is what and your dwg doesn't shed much more light on the subject.

    Would you mind breaking it down so others can understand where you start and what is then created in the final outcome? Right now I am stuck on deciphering the last sentence of your post.
    Quote Originally Posted by mgonzales361438
    right now it will do a arc and this is great but I wanted another to the taper and I am getting stuck trying to re-write it. here is the routine as it is now.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  8. #8
    Member
    Join Date
    2013-02
    Posts
    47
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    sure thing sorry about that. I have attached a new drawing hope this helps.
    Attached Files Attached Files

  9. #9
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,105
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    Your posted routine is missing some functions, such as: (show1), (change1), (get-elev ...) as well as some global variables, such as: #front, #back, #b1, #s1, ps1. This is making parts of the routine difficult to understand.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  10. #10
    Member
    Join Date
    2013-02
    Posts
    47
    Login to Give a bone
    0

    Default Re: ROUGH GRADE SLOPES

    ok, I got this from a co worker I will send the entire lisp, he copied out only the portion of the routine that he thought worked this function.
    Attached Files Attached Files

Page 1 of 2 12 LastLast

Similar Threads

  1. How to grey-out Rough Width and Rough Height parameters
    By Scott Hopkins in forum Revit Architecture - Tips & Tricks
    Replies: 1
    Last Post: 2013-09-15, 11:31 PM
  2. Multiple Grade slopes
    By Richard McDonald in forum AutoCAD Civil 3D - Grading
    Replies: 10
    Last Post: 2009-06-22, 02:18 AM
  3. Define slope/grade by selecting on screen when placing points by slope/grade
    By civil3d.wishlist1941 in forum Civil 3D Wish List
    Replies: 0
    Last Post: 2009-04-24, 06:50 PM
  4. dimension to Rough Width
    By tom mars in forum Revit Architecture - General
    Replies: 3
    Last Post: 2006-04-06, 11:46 AM
  5. Electrical and Plumbing Rough-ins
    By jarod.tulanowski in forum Revit Architecture - General
    Replies: 7
    Last Post: 2005-01-25, 10:38 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •